Subject: Re: linux-next: unneeded merge in the security tree

From: Theodore Ts'o <[email-masked]>
Date: Tue, 12 Mar 2013 00:16:41 -0400

On Tue, Mar 12, 2013 at 03:10:53PM +1100, James Morris wrote:
> On Tue, 12 Mar 2013, Stephen Rothwell wrote:
> > The top commit in the security tree today is a merge of v3.9-rc2.  This
> > is a completely unnecessary merge as the tree before the merge was a
> > subset of v3.9-rc1 and so if the merge had been done using anything but
> > the tag, it would have just been a fast forward.  I know that this is now
> > deliberate behaviour on git's behalf, but isn't there some way we can
> > make this easier on maintainers who are just really just trying to pick a
> > new starting point for their trees after a release?  (at least I assume
> > that is what James was trying to do)
> 
> Yes, and I was merging to a tag as required by Linus.

Why not just force the head of the security tree to be v3.9-rc2?  Then
you don't end up creating a completely unnecessary merge commit, and
users who were at the previous head of the security tree will
experience a fast forward when they pull your new head.

	     	  	       	    	      	  - Ted